﻿.center-block{
    display: block;
    width: 100%;
    padding-top: 87px;
    font-size: 0;
    min-height: calc(100vh - 86px);
    background-color: #f5f5f5;
}
.member-box{
    width: 600px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
}
.member-info-box{
    width: 100%;
    display: block;
    font-size: 0;
}

.member-left-box{
    width: 110px;
    max-width: 100%;
    padding-right: 20px;
    box-sizing: border-box;
    display: inline-block;
    vertical-align: top;
    position: absolute;
    left: -110px;
    top: 183px;
}
.member-b-class-box{
    width: 100%;
    display: block;
}
.member-right-box{
    width: 100%;
    display: inline-block;
    vertical-align: top;
    padding-bottom: 80px;
}
.member-s-class-box{
    width: 100%;
    display: block;
}
.member-s-class-list{
    width: calc((100% / 6) - 10px);
    display: inline-block;
    vertical-align: top;
    font-size: 14px;
    color: #555555;
    transition: all .5s ease;
    text-align: center;
    background-color: #FFF;
    height: 46px;
    line-height: 46px;
    margin-left: 12px;
    letter-spacing: 1px;
    border: 1px solid #ccc;
    box-sizing: border-box;
}
.member-s-class-list:first-child{
    margin-left: 0;

}
.member-b-class-list{
    width: 100%;
    height: 90px;
    display: block;
    background-color: #FFF;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    padding: 15px 0;
    padding-left: 20px;
    padding-right: 11px;
    margin-bottom: 20px;
    transition: all .5s ease;
}
.member-b-class-list:last-child{
    margin-bottom: 0;
}
.member-b-class-list span{
    transform: skewX(-10deg);
    display: block;
    letter-spacing: 7px;
    height: 30px;
    font-size: 20px;
    color: #555555;
    transition: all .5s ease;
}
.member-shopping-list{
    margin-top: 20px;
    background-color: #FFF;
    padding: 20px;
    box-sizing: border-box;
    display: block;
}
.member-shopping-list-num{
    font-size: 16px;
    font-weight: bold;
    color: #555;
    margin-bottom: 10px;
}
.member-shopping-list-info{
	font-size: 14px;
	color: #555;
	display: inline-block;
	width: 50%;
	vertical-align: middle;
}
.member-shopping-list-info-button-box{
	margin-top: 10px;
}
.member-shopping-list-info-button{
	font-size: 14px;
	color: #555;
	display: inline-block;
	width: calc(100% / 3 - 7px);
	vertical-align: middle;
	text-align: center;
	border: 1px solid #ccc;
	box-sizing: border-box;
	letter-spacing: 1px;
	transition: all .3s linear;
}
.member-shopping-list-info-button:nth-child(2){
    margin: 0 10px;
}


.member-shopping-list-total-box span,
.member-shopping-check-total-box span{
    font-size: 24px;
    display: inline-block;
    vertical-align: bottom;
    color: #389cd2;
    letter-spacing: 1px;
    margin-left: 10px;
    font-weight: bold;
    min-width: 70px;
}

.member-shopping-check-total-box{
    width: 100%;
    text-align: right;
    margin-top: 20px;
}
.member-shopping-list-link{
    padding: 10px 27px;
    border: 1px solid rgba(0,0,0,.09);
    box-sizing: border-box;
    display: inline-block;
    font-size: 14px;
    letter-spacing: 1px;
    transition: all .5s ease;
}


.member-shopping-check-box{
    padding: 20px 25px;
    box-sizing: border-box;
    width: 100%;
    display: block;
    margin-top: 20px;
    background-color: #FFF;
}
.member-shopping-check-title{
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 1px;
    color: #389cd2;
}
.member-shopping-list-check-box {
    width: 100%;
    text-align: right;
    margin-top: 20px;
}
.member-shopping-check-p{
    margin: 10px 0;
    font-size: 16px;
    color: #555;
}
.member-shopping-check-info-title{
    font-size: 14px;
    font-weight: bold;
    color: #000;
    display: inline-block;
    vertical-align: middle;
}
.member-shopping-check-info-title-box span{
    min-width: 60px;
    font-size: 14px;
    color: #555;
    display: inline-block;
    vertical-align: middle;
}
.member-shopping-check-info-title-box{
    margin-top: 10px;
}
.member-shopping-check-list{
    margin-bottom: 20px;
}
.member-shopping-check-list:last-child{
    margin-bottom: 0;
}
.member-shopping-check-back{
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 2px;
    border: 1px solid #888;
    box-sizing: border-box;
    transition: all .5s ease;
    text-align: center;
    margin: 0 auto;
    margin-top: 30px;
    width: 100px;
    max-width: 100%;
    display: block;
    height: 40px;
    line-height: 40px;
    color: #555;
}
.member-shopping-check-product-span{
	width: 100%;
	display: block;
	height: 1px;
	background-color: #333;
	margin-top: 10px;
}
.member-shopping-check-product-all{
	text-align: right;
}
.rwd-member-order-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #ccc;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
    color: #555;
}
.rwd-member-order-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 5px solid transparent;
    border-top: 8px solid #888;
    border-left: 5px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}


/*---------------hover-----------------------*/
.member-b-class-list.active,
.member-b-class-list:hover{
    background-color: #389cd2;
}
.member-b-class-list.active span,
.member-b-class-list:hover span{
    color: #FFF;    

}
.member-s-class-list:hover,
.member-s-class-list.active{
    background-color: #ccc;
}

.member-shopping-list-link:hover,
.member-info-class-list.active,
.member-info-class-list:hover{
    background-color: #389cd2;
}
.member-shopping-list-info-button:hover,
.member-shopping-list-info-button.active{
    background-color: #389cd2;
    color: #fff;
    border-color: #389cd2;
}
.member-shopping-list-info-button-del:hover{
    background-color: #d0011b;
    border-color: #d0011b;
}
.member-shopping-check-back:hover{
    background-color: #389cd2;
    color: #fff;
}
@media only screen and (max-width: 1200px){
    .center-block{
        padding-top: 77px;
    }
}
@media only screen and (max-width: 1000px){
    .center-block{
        padding-top: 62px;
    }
}
@media only screen and (max-width: 820px){
    .member-left-box{
        width: 100%;
        display: block;
        position: static;
        padding-right: 0;
        margin-bottom: 12px;
    }
    .member-b-class-list{
        width: 141px;
        height: 60px;
        display: inline-block;
        vertical-align: middle;
        margin-bottom: 0;
        margin-right: 12px;
        text-align: center;
        box-sizing: border-box;
    }
    .member-b-class-list:last-child{
        margin-right: 0px;
    }
    .member-b-class-list span{
        width: initial;
        display: inline-block;
        vertical-align: middle;
        text-align: center;
    }
    .rwd-member-order-menu-class-list{
        display: block;
        background-color: #fff;
    }
    .member-s-class-box{
        width: 100%;
        display: none;
        position: absolute;
    }
    .member-s-class-list{
        display: block;
        width: 100%;
        margin-left: 0;
        border-top: none;
    }
    .rwd-member-order-menu-class-list-box{
        display: block;
        width: 100%;
        position: relative;
    }
}
@media only screen and (max-width: 800px){
    .center-block{
        padding-top: 54px;
    }
}
@media only screen and (max-width: 600px){
    .member-b-class-list{
        width: 91px;
        height: 40px;
        padding: 9px 0;
        padding-left: 5px;
    }
    .member-b-class-list span{
        font-size: 14px;
    }
    .rwd-member-order-menu-class-list{
        height: 36px;
        line-height: 36px;
        font-size: 14px;
    }
    .member-s-class-list{
        font-size: 12px;
        height: 36px;
        line-height: 36px;
    }
    .member-shopping-list{
        padding: 15px;
    }
    .member-shopping-list-num,
    .member-shopping-check-title{
        font-size: 14px;
    }
    .member-shopping-list-info,
    .member-shopping-check-info-title-box span,
    .member-shopping-check-info-title{
        font-size: 12px;
    }
    .member-shopping-list-info-button{
        font-size: 12px;
    }
    .member-shopping-check-box{
        padding: 15px;
    }
    .member-shopping-check-list{
        margin-bottom: 10px;
    }
    .member-shopping-check-back{
        font-size: 14px;
        width: 80px;
        height: 30px;
        line-height: 30px;
    }
}
@media only screen and (max-width: 400px){
    .center-block{
        padding-top: 49px;
    }
    .member-b-class-list{
        width: 72px;
        margin-right: 4px;
        padding: 9px 0;
        padding-left: 2px;
        height: 40px;
    }
    .member-b-class-list span{
        font-size: 12px;
        letter-spacing: 1px;
        transform: skewX(0);

    }
    .member-left-box{
        margin-bottom: 5px;
    }
    .member-shopping-list,
    .member-shopping-check-box{
        margin-top: 5px;
    }
    .member-right-box{
        padding-bottom: 0;
    }
}
/*animation*/
/*<-------------動畫------------->*/
 
@media only screen and (min-width: 1001px){
    .member-s-class-box,
    .member-shopping-list-box,
    .member-set-list-box,
    .member-password-list-box{
        animation: animation_fade 1s ease 1 0s both;
    }
    .member-b-class-list{
        opacity: 0;
        animation: animation_ltor 1s ease 1 0s both;
    }
    .member-shopping-check-box{
        opacity: 0;
        animation: animation_btot 1s ease 1 0s both;
    }
}
